﻿using System;
using NHibernate.BusinessObjects.Structure;


namespace NHibernate.BusinessObjects.CodeGenerator
{
	public partial class BOHibernate
	{
		public string GetDBType(string type)
		{
			switch(type)
			{
				case "Int16":
					return "SMALLINT";
				case "Int32":
					return "INT";
				case "Int64":
					return "BIGINT";
			}
			throw new Exception(string.Format("Invalid type '{0}' for identity column.", type));
		}

		public string GetAssemblyName(string type)
		{
			var index = type.LastIndexOf('.');
			
			return type.Substring(0, index);
		}

	}
}
