
using NHibernate.BusinessObjects;


namespace Tutorial
{
	// Business list implementation
	public class AddressList : BusinessList<IAddress>, IAddressList
	{
		public AddressList(IBusinessObject owner, GetInternalSetDelegate internalSet, GetSessionDelegate session)
			: base(owner, internalSet, session)
		{
		}
		
		public IAddress CreateAddress()
		{
			return CreateObject<IAddress>();
		}
	}
}


