
using NHibernate.BusinessObjects;


namespace Tutorial
{
	// Business list implementation
	public class PersonList : BusinessList<IPerson>, IPersonList
	{
		public PersonList(IBusinessObject owner, GetInternalSetDelegate internalSet, GetSessionDelegate session)
			: base(owner, internalSet, session)
		{
		}
		
		public IPerson CreatePerson()
		{
			return CreateObject<IPerson>();
		}
	}
}


