
using NHibernate.BusinessObjects;


namespace Tutorial
{
	

	// Business object interface
	public interface IAddress : IBusinessObject
	{
		#region Properties
				
		System.String Street { get; set; }

		System.String City { get; set; }

		System.String Zip { get; set; }

		System.String State { get; set; }

		System.String Country { get; set; }

		#endregion //Properties
		
		#region Methods
		
		#endregion //Methods
		
	}
	

	// Acyclic visitor interface
	public interface IAddressVisitor<T> : IVisitor<T>
	{
		T Visit(IAddress visitable);
	}
}

